Habilitando Apt-get no Damn Small Linux (DSL)

Publicado por Alisson Machado em 26/07/2011

[ Hits: 10.563 ]

 


Habilitando Apt-get no Damn Small Linux (DSL)



Estava tentando instalar o DSL no QEMU rodando no Windows 7 só pra matar a saudades do Linux enquanto estou no trabalho, até ai tudo bem, feita a instalação na hora de usar o apt-get me deparei com o seguinte erro:

apt-get command not found

Beleza, pesquisei na internet como resolver isso e só encontrei isso:

sudo dpkg-restore

No fluxbox App -> Tools -> Enable Apt

Só que quando executei esses procedimentos me retornou a seguinte mensagem de erro:

wget: server return error 404: HTTP/1.1 404 not found
Download error!

E agora? Depois disso não achei nenhum tutorial que me explicasse isso, então comecei a tentar arrumar sozinho, até que encontrei uma solução, e vou passa-la para vocês agora para caso alguém tenha o mesmo problema que eu.

Primeiro vá para a raiz do Linux:

cd /

Então execute o comando:

sudo find | grep 'dpkg-restore'

E a saída será mais ou menos assim:

./usr/sbin/dpkg-restore

Agora vamos editar o arquivo:

sudo vi ./usr/sbin/dpkg-restore

Saida:

#!/bin/sh
#(c) 2003 Robert Shingledecker
if [ -e /var/lib/dpkg/status ]; then
   exit
else
   #MIRROR=$(dslrc.lua Mirror)
   #PROTOCOL=$(dslrc.lua Protocol)
   sudo rm -f /var/lib/dpkg
   echo "Grabbing the compressed dpkg database and programs..."
   cd `cat /opt/.mydsl_dir || echo /tmp/`
   wget -q "$PROTOCOL"://"$MIRROR"/mydsl/system/dsl-dpkg.dsl.md5.txt
   wget "$PROTOCOL"://"$MIRROR"/mydsl/system/dsl-dpkg.dsl
   if [ -s dsl-dpkg.dsl ]; then
      md5sum -c dsl-dpkg.dsl.md5.txt
      if [ $? == 0 ]; then
        /etc/init.d/mkwriteable
        /etc/init.d/mydsl-install dsl-dpkg.dsl
        echo "Updating apt-get"
        apt-get update
      else
        echo "Checksum error!"
      fi
      echo -n "Press Enter key to continue...";read gagme
   else
     echo "Download error!"
     echo -n "Press Enter to continue...";read gagme
     exit 1
   fi
   exit
fi

Então vamos comentar as duas linhas que tem wget, e adicionar os diretórios deste site http://www.ftp.be/packages/damnsmalllinux/mydsl/system.

Deixando o código assim:
#!/bin/sh
#(c) 2003 Robert Shingledecker

if [ -e /var/lib/dpkg/status ]; then
   exit
else
   #MIRROR=$(dslrc.lua Mirror)
   #PROTOCOL=$(dslrc.lua Protocol)
   sudo rm -f /var/lib/dpkg
   echo "Grabbing the compressed dpkg database and programs..."
   cd `cat /opt/.mydsl_dir || echo /tmp/`
   #wget -q "$PROTOCOL"://"$MIRROR"/mydsl/system/dsl-dpkg.dsl.md5.txt
  #wget "$PROTOCOL"://"$MIRROR"/mydsl/system/dsl-dpkg.dsl
   wget -q http://www.ftp.be/packages/damnsmalllinux/mydsl/system/dsl-dpkg.dsl.md5.txt
   wget http://www.ftp.be/packages/damnsmalllinux/mydsl/system/dsl-dpkg.dsl
   if [ -s dsl-dpkg.dsl ]; then
      md5sum -c dsl-dpkg.dsl.md5.txt
      if [ $? == 0 ]; then
        /etc/init.d/mkwriteable
        /etc/init.d/mydsl-install dsl-dpkg.dsl
        echo "Updating apt-get"
        apt-get update
      else
        echo "Checksum error!"
      fi
      echo -n "Press Enter key to continue...";read gagme
   else
     echo "Download error!"
     echo -n "Press Enter to continue...";read gagme
     exit 1
   fi
   exit
fi

Agora é só rodar novamente o comando:

sudo dpkg-restore

E já está tudo funcionando :)

Você pode testar instalando o lynx:

sudo apt-get -f install lynx

Valeu pessoal, até mais ;)


Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Roteamento estático no GNU/Linux

Instalar o emulador de Telnet PW3270

Instalando o emulador (client) de Mainframes zOS (IBM) no Debian Lenny

Como criar Discovery com Zabbix

ShellBot - API em shell script para criação de bots no Telegram

  

Comentários
[1] Comentário enviado por lopgrand em 08/09/2013 - 22:03h

obrigado!

[2] Comentário enviado por duduindo em 24/05/2014 - 16:46h

ATUALIZANDO

O post é de 2011, então o link:
http://www.ftp.be/packages/damnsmalllinux/mydsl/system/
Acabou ficando offline.

use o: http://distro.ibiblio.org/damnsmall/mydsl/system/

Ou Seja:
http://distro.ibiblio.org/damnsmall/mydsl/system/dsl-dpkg.dsl.md5.txt
http://distro.ibiblio.org/damnsmall/mydsl/system/dsl-dpkg.dsl


Até! Obrigado pela dica Alisson Menezes!



Contribuir com comentário